PHONY_TARGETS=all veryclean clean help docker-bootstrap
.PHONY : $(PHONY_TARGETS)

version:=$(shell cat ../version)
release:=$(shell cat ../release)
bsys6_release:=$(shell cat ../bsys6_release)
full_version:=$(version)-$(release)$(shell [ $(bsys6_release) -gt 1 ] && echo "-$(bsys6_release)")
ifeq ($(arch),)
arch:=x86_64
endif

# librewolf-$(full_version).en-US.mac.$(arch).dmg
artifact1=librewolf-$(full_version).en-US.win64-$(arch)-setup.exe 
artifact2=librewolf-$(full_version).en-US.win64-$(arch)-portable.zip

all : mockup
mockup :
	echo mockup > $(artifact1)
	echo mockup > $(artifact2)
clean :
	rm -f $(artifact1) $(artifact2)
veryclean : clean
	rm -f librewolf-$(full_version).source.tar.gz

not-docker :
	@echo todo: build windows locally, the only thing that works.

help :
	@echo Available targets: $(PHONY_TARGETS)

docker-bootstrap :
	docker build -t $(tag) .
